var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// src/index.ts
import execa from "@rspress/shared/execa";
function transform(timestamp, lang) {
  return new Date(timestamp).toLocaleString(lang || "zh");
}
function getGitLastUpdatedTimeStamp(filePath) {
  return __async(this, null, function* () {
    let lastUpdated;
    try {
      const { stdout } = yield execa("git", [
        "log",
        "-1",
        "--format=%at",
        filePath
      ]);
      lastUpdated = Number(stdout) * 1e3;
    } catch (e) {
    }
    return lastUpdated;
  });
}
function pluginLastUpdated() {
  return {
    name: "@rspress/plugin-last-updated",
    extendPageData(pageData) {
      return __async(this, null, function* () {
        const { _filepath, lang } = pageData;
        const lastUpdated = yield getGitLastUpdatedTimeStamp(_filepath);
        if (lastUpdated) {
          pageData.lastUpdatedTime = transform(lastUpdated, lang);
        }
      });
    }
  };
}
export {
  pluginLastUpdated
};

//# sourceMappingURL=index.js.map